KDEINIT4(8)

NAME
kdeinit4 - Start av KDE-processer.

ÖVERSIKT

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+program] | [program]]

BESKRIVNING

kdeinit4 är ett startprogram för processer som något liknar det berömda programmet init som används för att starta Unix. Det kör KDE-program och laddningsbara kdeinit-moduler (KLM:er), som startas effektivare.

Att använda kdeinit4 för att starta KDE-program gör att ett typiskt KDE-program startar ett antal gånger snabbare och reducerar minnesåtgång med en avsevärd mängd.

kdeinit4 är länkat med alla bibliotek som ett typiskt KDE-program behöver. Med denna teknik går det mycket fortare att starta ett program, eftersom bara själva programmet måste länkas, medan annars programmet samt alla bibliotek det använder måste länkas.

NACKDELAR

Processnamnet för program som startas via kdeinit4 är "kdeinit4". Problemet kan delvis lösas genom att ändra programnamnet som visas av ps. Dock ser program som killall bara kdeinit4 som processnamn. För att komma runt det, använd kdekillall (från kdesdk/scripts) för program startade via kdeinit4.

VäLJARE

--help
    Visa hjälp om väljare

--no-fork
    Starta inte en ny process, dvs. avsluta inte förrän programmen som körs avslutas

--no-kded
    Starta inte kded

--suicide
    Avsluta när inga KDE-program längre körs

+program
    kör program och hantera begäran

program
    kör program utan att hantera någon begäran

ANVäNDNING

Ett vanligt sätt att köra programmet är att bara ange följande kommando kdeinit4 program eller kdeinit4 +program

FILER

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

MILJöVARIABLER

$HOME
    Anger nuvarande användares hemkatalog

$KDE_HOME_READONLY
    Anger om nuvarande användares hemkatalog är skrivskyddad

$KDE_IS_PRELINKED
    Om angiven, talar om för kdeinit4 att KDE-program är förlänkade.

    (Förlänkning är en process som gör det möjligt att snabba upp den dynamiska länkningsprocessen.)

$KDE_DISPLAY
    Om angiven, talar om för kdeinit4 att det kör på ett KDE-skrivbord.

SE OCKSå

kded, kdekillall

FEL

Det finns troligen en massa fel. Använd bugs.kde.org[1] för att rapportera dem.

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org